This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 535037 (RHQ-1775)

Summary: Fix Saved Views UI in Monitor/Graphs page
Product: [Other] RHQ Project Reporter: Jeff Weiss <jweiss>
Component: Core UIAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Jeff Weiss <jweiss>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dajohnso, jshaughn
Target Milestone: ---Keywords: FutureFeature, Improvement
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-1775
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
rev3351
Last Closed: 2014-05-05 13:55:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jeff Weiss 2009-03-12 11:42:00 EDT
This UI is difficult to understand and use.  What does the OK button do?  It's next to a usually-greyed out textbox, it's hard to tell.  And the combined "View selection" and "action selection" dropdown is not something users are accustomed to seeing.

We could ask the UI experts to recommend a better one, but I think all you really need is a dropdown with just the available views,  "Save as", and Delete button.  The dropdown selection will load the selected view.   The "Save As" should open a dialog (see below).  There's no need for the textbox on the main page.

Save as should have a textbox, with ok button and "New View" label.  There should also be a dropdown, which when the dialog loads is populated with the available views, and the selection is set to the current view.  The label should be "Overwrite View" and an OK button.




Comment 1 Red Hat Bugzilla 2009-11-10 15:46:22 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1775
Comment 2 wes hayutin 2010-02-16 12:09:54 EST
mass add of key word FutureFeature to help track
Comment 3 Corey Welton 2010-08-20 11:15:21 EDT
Closing per 19-Aug triage -- this bug will be made obsolete per UI redesign.